/*
 *  Sphere.h
 *  Assignment1
 *
 *  Created by Zach Gildersleeve on 1/17/07.
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef SPHERE_H
#define SPHERE_H

#include "Point.h"
#include "Ray.h"
class Point;
class Ray;

class Sphere {
	public:
		Sphere(const Point &newCenter, float newRadius);
		
		~Sphere();
		
		bool intersects(const Ray &r);
		
	private:
		Point center;
		float radius;
};
#endif