/*
 *  Image.h
 *  Assignment1
 *
 *  Created by Zach Gildersleeve on 1/17/07.
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef IMAGE_H
#define IMAGE_H

//#include <string>
#include "Color.h"

class Color;
struct Pixel {
	unsigned char r, g, b;
};

class Image {
	public:
		Image(int w, int h);
		~Image();
		
		void set(int i, int j, const Color &result);
		void write(const char *name);
		
		Pixel **imageData;
		
	private:
		int width;
		int height;
};

#endif