/*
 *  Point.cpp
 *  Assignment1
 *
 *  Created by Zach Gildersleeve on 1/14/07.
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 *
 */

#include "Point.h"
#include "math.h"

Point::Point() {}

Point::Point(const Point &p) : x(p.x), y(p.y), z(p.z) {
}

Point::Point(float newX, float newY, float newZ) : x(newX), y(newY), z(newZ) {}

Point::~Point() {}

Point &Point::operator=(const Point &p) {
	x = p.x;
	y = p.y;
	z = p.z;
	return *this;
}

Vector Point::asVector() {
	return Vector(x, y, z);
}

// Non-Member Functions
Point operator+(Point &p, Vector &a) {
	return Point(p.x + a.x, p.y + a.y, p.z + a.z);
}

Point operator-(Point &p, Vector &a) {
	return Point(p.x - a.x, p.y - a.y, p.z - a.z);
}