/*
 *  Point.h
 *  Assignment1
 *
 *  Created by Zach Gildersleeve on 1/14/07.
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 *
 */
#ifndef POINT_H
#define POINT_H

#include "Vector.h"
class Vector;

class Point {
	public:
	float x, y, z;		

		Point();
		Point(const Point &p);
		Point(float newX, float newY, float newZ);
		
		~Point();
		
		Point &operator=(const Point &p);
		
		Vector asVector();
};

Point operator+(Point &p, Vector &a);
Point operator-(Point &p, Vector &a);

#endif