/*
 *  Sphere.cpp
 *  Assignment1
 *
 *  Created by Zach Gildersleeve on 1/17/07.
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 *
 */

#include "Sphere.h"
#include "Vector.h"
#include "Point.h"

Sphere::Sphere(const Point &newCenter, float newRadius) : center(newCenter), radius(newRadius) {}

Sphere::~Sphere() {}

bool Sphere::intersects(const Ray &r) {

	Vector Oprime = r.origin - center;
	float a = dot(r.direction, r.direction);
	float b = 2.0 * dot(Oprime, r.direction);
	float c = dot(Oprime, Oprime) - (radius * radius);
	
	if ((b * b - (4 * a * c)) < 0)
		return false;
	else
		return true;
}